[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# Frame3D

Provides a wrapper for the Frame3D method in TCanvas.

## Declaration

Source position: extctrls.pp line 1754

`procedure Frame3D(`
`ACanvas: TCanvas;`
`var ARect: TRect;`
`TopColor: TColor;`
`BottomColor: TColor;`
`const FrameWidth: Integer`
`);`

## Arguments

`ACanvas` |  | Canvas used to perform the 3D drawing routine.
`ARect` |  | Coordinates for the drawing operation.
`TopColor` |  | Pen color used to draw left and top lines in the frame.
`BottomColor` |  | Pen color used to draw right and bottom lines in the frame.
`FrameWidth` |  | Width required for the 3D frame.

## Description

Frame3D is a procedure which provides a wrapper for the Frame3D method in TCanvas. ACanvas is the TCanvas instance used to perform the Frame3D method with the settings in the specified arguments.

## See also

TCanvas.Frame3D |  | Draws a frame for the specified rectangle with a 3-dimensional appearance.